Bug 632568 - limits.conf file maxlogins
Summary: limits.conf file maxlogins
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: upstart
Version: 12
Hardware: All
OS: Linux
low
urgent
Target Milestone: ---
Assignee: Petr Lautrbach
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-10 12:52 UTC by Lakshmipathi
Modified: 2010-11-23 21:50 UTC (History)
5 users (show)

Fixed In Version: upstart-0.6.5-9.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 636036 (view as bug list)
Environment:
Last Closed: 2010-09-28 05:24:59 UTC


Attachments (Terms of Use)

Description Lakshmipathi 2010-09-10 12:52:45 UTC
Description of problem:
I added following line in /etc/security/limits.conf file -

mi2 		   hard    maxlogins     2

and logged as mi2   in tty1 and tty2.
while trying to login to tty3 as mi2 it said "Too many logins" respawned the login process.

Now i logged out from tty1 and tty2...I can't login as mi2 

I can verify this using who command.



Version-Release number of selected component (if applicable):


How reproducible:
1.set maxlogin to 2 for user1
2.user1 logs into two different tty and another try gave message as "Too many login" 
3.Now logout from early logged machine.
4.Now try and login as user1 again. you will error message "Too many users"


Steps to Reproduce:
1.set maxlogin to 2 for user1
2.user1 logs into two different tty and another try gave message as "Too many login" 
3.Now logout from early logged machine.
4.Now try and login as user1 again. you will error message "Too many users"
  
Actual results:

Unable to login
Expected results:
user must be allowed to login

Additional info:
Using Fedora 12.

Comment 1 Tomas Mraz 2010-09-13 08:55:27 UTC
Can you please post the rpm -q upstart output on your machine?

Comment 2 Lakshmipathi 2010-09-13 09:27:20 UTC
Here its
$ rpm -q upstart
upstart-0.3.11-3.fc12.x86_64

$uname -a
Linux space 2.6.32.16-141.fc12.x86_64 #1 SMP Wed Jul 7 04:49:59 UTC 2010 x86_64 x86_64 x86_64 GNU/Linux

Comment 3 Tomas Mraz 2010-09-13 09:41:25 UTC
Please update upstart to 0.3.11-4.fc12 - this is in Fedora 12 updates repository.

Comment 4 Lakshmipathi 2010-09-13 10:00:38 UTC
upgraded to current version.

# rpm -q upstart
upstart-0.3.11-4.fc12.x86_64

Testing with user name : ll
#grep 'maxlogins' /etc/security/limits.conf 
ll 		   hard    maxlogins     2


# >/var/log/secure

who shows only laks:
# who
laks     tty1         2010-09-13 15:19 (:0)
laks     pts/0        2010-09-13 15:20 (:0.0)

I tried to login as ll ,as described above steps -
# cat /var/log/secure
Sep 13 15:25:09 localhost login: pam_limits(login:session): Too many logins (max 2) for ll
Sep 13 15:25:09 localhost login: pam_unix(login:session): session opened for user ll by ll(uid=0)
Sep 13 15:25:10 localhost login: pam_limits(login:session): Too many logins (max 2) for ll
Sep 13 15:25:10 localhost login: Permission denied

Is this a know issue/bug ? It's not yet resolved.

Comment 5 Lakshmipathi 2010-09-13 10:02:18 UTC
Please let me know,If you need more info.

Comment 6 Tomas Mraz 2010-09-13 10:22:48 UTC
Have you rebooted the computer after the upgrade?

Comment 7 Lakshmipathi 2010-09-13 10:52:48 UTC
Yes,after yum install , i rebooted the machine and tested with user "ll".
I have Selinux enabled.

Comment 8 Lakshmipathi 2010-09-13 11:12:15 UTC
Strange, it seems like working now for the first time.-I can live with that -,but not everytime.
=========
see who shows only two logins -
[root@space laks]# who
new1     tty5         2010-09-13 16:26
new1     tty3         2010-09-13 16:27

while trying to login it shows -
# cat /var/log/secure
Sep 13 16:36:20 localhost login: pam_limits(login:session): Too many logins (max 3) for new1
Sep 13 16:36:20 localhost login: pam_unix(login:session): session opened for user new1 by new1(uid=0)
Sep 13 16:36:20 localhost login: pam_limits(login:session): Too many logins (max 3) for new1
Sep 13 16:36:20 localhost login: Permission denied
===========
(above log not related to below steps)
--------
Steps to follow - to reproduce:


0.set maxlogin limit as 3
1.login as new1 in tty1,tty2,tty3
2.whiling logging to tty4 it says "Too many logins"
3.logout of tty3
4.login to tty4 it work now.

But If i randomly logout and login again. this issue comes again.
5.logout of 1,2
6.login to tty5 it says "too many logins"

Something is wrong,i don't know what it is.

Comment 9 Lakshmipathi 2010-09-14 06:47:17 UTC
It works if i wait for a minute and then login again.the issue is fixed for me.

Comment 10 Tomas Mraz 2010-09-14 07:08:33 UTC
It seems like upstart does not clean the USER_PROCESS entries immediately.

Comment 11 Fedora Update System 2010-09-21 11:45:51 UTC
upstart-0.3.11-5.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/upstart-0.3.11-5.fc12

Comment 12 Fedora Update System 2010-09-21 13:59:20 UTC
upstart-0.6.5-6.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/upstart-0.6.5-6.fc13

Comment 13 Fedora Update System 2010-09-21 13:59:34 UTC
upstart-0.6.5-9.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/upstart-0.6.5-9.fc14

Comment 14 Fedora Update System 2010-09-21 18:16:29 UTC
upstart-0.6.5-9.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update upstart'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/upstart-0.6.5-9.fc14

Comment 15 Fedora Update System 2010-09-28 05:24:48 UTC
upstart-0.6.5-6.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2010-09-30 06:14:58 UTC
upstart-0.6.5-9.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2010-11-23 21:50:29 UTC
upstart-0.3.11-5.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.